Package sudoku.structure

# Enum Class Difficulty

java.lang.Object
java.lang.Enum<Difficulty>
sudoku.structure.Difficulty

All Implemented Interfaces:
  `Serializable`, `Comparable<Difficulty>`, `Constable`

public enum Difficulty extends Enum<Difficulty>
Les difficultés d'un Sudoku, représente le nombre de cases à enlever, en proportion, à un Sudoku. Par exemple, avec 0.1 de factor, on enlevera 10% des cases.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Easy`
  `Hard`
  `Medium`
  `VeryEasy`
  `VeryHard`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[]`
  `getDifficultyNames()`
  `String`
  `getDisplayName()`
  `double`
  `getFactor()`
  `static Difficulty`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Difficulty[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VeryEasy

    public static final Difficulty VeryEasy

  - ### Easy

    public static final Difficulty Easy

  - ### Medium

    public static final Difficulty Medium

  - ### Hard

    public static final Difficulty Hard

  - ### VeryHard

    public static final Difficulty VeryHard

- ## Method Details

  - ### values

    public static Difficulty[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Difficulty valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayName

    public String getDisplayName()

  - ### getFactor

    public double getFactor()

  - ### getDifficultyNames

    public static String[] getDifficultyNames()